import request from '@/utils/request'

// 查询塔机预警管理列表
export function listTowerDataWarning(query) {
  return request({
    url: '/device/towerDataWarning/list',
    method: 'get',
    params: query
  })
}

// 查询塔机预警管理详细
export function getTowerDataWarning(id) {
  return request({
    url: '/device/towerDataWarning/' + id,
    method: 'get'
  })
}

// 新增塔机预警管理
export function addTowerDataWarning(data) {
  return request({
    url: '/device/towerDataWarning',
    method: 'post',
    data: data
  })
}

// 修改塔机预警管理
export function updateTowerDataWarning(data) {
  return request({
    url: '/device/towerDataWarning',
    method: 'put',
    data: data
  })
}

// 删除塔机预警管理
export function delTowerDataWarning(id) {
  return request({
    url: '/device/towerDataWarning/' + id,
    method: 'delete'
  })
}
